- List Operation Execution History
This operation is actively being developed. Breaking changes should be expected.
Please contact us before using this operation.
Returns the execution history for all operations. History is stored for the configured retention period (default 4 weeks).
Operation ID: operations_list_execution_history
Filter operation execution history by this query. Available filters:
id[eq]- Filter by specific operation IDintegration_id[eq]- Filter by specific integration IDaccount_id[eq]- Filter by specific account IDexecution_id[eq]- Filter by specific execution IDstarted_at[gte]- Filter executions started at or after a specific datetime (RFC3339 format)started_at[lte]- Filter executions started at or before a specific datetime (RFC3339 format)started_at[gt]- Filter executions started after a specific datetimestarted_at[lt]- Filter executions started before a specific datetimeoperation_id[eq]- Filter by operation name (e.g., "assets_query_devices") If used more than once, the queries are ANDed together.
Select a field to order the results by. Defaults to started_at[desc]. To control the direction of the sorting, append [asc] or [desc] to the field id. For example, started_at[asc] will sort the results by started_at in ascending order. The ordering defaults to desc if not specified. May be used multiple times to order by multiple fields, and the ordering is applied in the order the fields are specified.
- Synqlyhttps://api.synqly.com/v1/jobs/history
curl -i -X GET \
https://api.synqly.com/v1/jobs/history \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "result": [ { … } ] }